# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "maligned"
version = "0.2.0"
authors = ["Tyler Hawkes <tyler.hawkes@gmail.com>"]
description = "A memory alignment library"
readme = "README.md"
keywords = ["array", "align", "aligned", "alignment"]
categories = ["embedded", "memory-management", "no-std"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/tylerhawkes/maligned"
[package.metadata.docs.rs]
features = ["align-128k"]

[features]
align-128k = ["align-64k"]
align-16k = ["align-8k"]
align-1k = []
align-2k = ["align-1k"]
align-32k = ["align-16k"]
align-4k = ["align-2k"]
align-64k = ["align-32k"]
align-8k = ["align-4k"]
alloc = []
clippy = []
default = ["alloc"]
